/*
**      $Filename: SourceStrings.c $
**      $Release: 1.0 $
**      $Revision: 38.1 $
**
**      Strings used in the source output.
**
**      (C) Copyright 1992 Jaba Development.
**          Written by Jan van den Baard
**/

#include "GenGTXSource.h"

/*
 *      Exported symbols.
 */
Prototype UBYTE                     *GadgetKinds[];
Prototype UBYTE                     *GadToolsIDCMP[];
Prototype UBYTE                     *GadToolsMenus[];
Prototype UBYTE                     *MainHeader;
Prototype UBYTE                     *HeaderDefs;
Prototype UBYTE                     *FixedRoutines;
Prototype UBYTE                     *Includes;
Prototype UBYTE                     *Static;
Prototype UBYTE                     *Pragmas;
Prototype UBYTE                     *AztecPragmas;
Prototype UBYTE                     *Includes;

/*
 *      Gadget kind constants.
 */
UBYTE *GadgetKinds[] = {
    "GENERIC_KIND",
    "BUTTON_KIND",
    "CHECKBOX_KIND",
    "INTEGER_KIND",
    "LISTVIEW_KIND",
    "MX_KIND",
    "NUMBER_KIND",
    "CYCLE_KIND",
    "PALETTE_KIND",
    "SCROLLER_KIND",
    "RESERVED_KIND",
    "SLIDER_KIND",
    "STRING_KIND",
    "TEXT_KIND"
};

/*
 *      GadTools IDCMP constants.
 */
UBYTE *GadToolsIDCMP[] = {
    "IDCMP_GADGETUP",
    "BUTTONIDCMP",
    "CHECKBOXIDCMP",
    "INTEGERIDCMP",
    "LISTVIEWIDCMP",
    "MXIDCMP",
    "NUMBERIDCMP",
    "CYCLEIDCMP",
    "PALETTEIDCMP",
    "SCROLLERIDCMP",
    "RESERVEDIDCMP",
    "SLIDERIDCMP",
    "STRINGIDCMP",
    "TEXTIDCMP"
};

/*
 *      GadTools menu types.
 */
UBYTE *GadToolsMenus[] = {
    "NM_END",
    "NM_TITLE",
    "NM_ITEM",
    "NM_SUB"
};

/*
 *      Source headers.
 */
UBYTE *MainHeader =
    "/*\n"\
    " *      Source machine generated by GenGTXSource v1.0\n"\
    " *      which is (C) Copyright 1992 Jaba Development\n"\
    " *\n"\
    " *      GUI designed by : %s\n"\
    " */\n\n";

/*
 *      Miscellanious.
 */
UBYTE *Static =
    "static ";

/*
 *      Headers.
 */
UBYTE *Includes =
    "#include <exec/types.h>\n"\
    "#include <intuition/intuition.h>\n"\
    "#include <intuition/classes.h>\n"\
    "#include <intuition/classusr.h>\n"\
    "#include <intuition/imageclass.h>\n"\
    "#include <intuition/gadgetclass.h>\n"\
    "#include <libraries/gadtools.h>\n"\
    "#include <libraries/locale.h>\n"\
    "#include <graphics/displayinfo.h>\n"\
    "#include <graphics/gfxbase.h>\n"\
    "#include <graphics/gfxmacros.h>\n"\
    "#include <gadtoolsbox/hotkey.h>\n"\
    "#include <clib/exec_protos.h>\n"\
    "#include <clib/intuition_protos.h>\n"\
    "#include <clib/gadtools_protos.h>\n"\
    "#include <clib/locale_protos.h>\n"\
    "#include <clib/graphics_protos.h>\n"\
    "#include <clib/utility_protos.h>\n"\
    "#include <clib/gtx_protos.h>\n"\
    "#include <clib/diskfont_protos.h>\n"\
    "#include <string.h>\n\n";

UBYTE *Pragmas =
    "#include <pragmas/exec_pragmas.h>\n"\
    "#include <pragmas/intuition_pragmas.h>\n"\
    "#include <pragmas/gadtools_pragmas.h>\n"\
    "#include <pragmas/locale_pragmas.h>\n"\
    "#include <pragmas/graphics_pragmas.h>\n"\
    "#include <pragmas/utility_pragmas.h>\n"\
    "#include <pragmas/diskfont_pragmas.h>\n"\
    "#include <pragmas/gtx_pragmas.h>\n\n";

UBYTE *AztecPragmas =
    "#include <pragmas/exec_lib.h>\n"\
    "#include <pragmas/intuition_lib.h>\n"\
    "#include <pragmas/gadtools_lib.h>\n"\
    "#include <pragmas/locale_lib.h>\n"\
    "#include <pragmas/graphics_lib.h>\n"\
    "#include <pragmas/utility_lib.h>\n"\
    "#include <pragmas/diskfont_lib.h>\n"\
    "#include <pragmas/gtx_lib.h>\n\n";
